Author Topic: Does not build  (Read 47 times)

sg

  • Newbie
  • *
  • Posts: 2
    • View Profile
Does not build
« on: June 30, 2020, 09:34:13 PM »
I have installed OpenFoam (with the Docker container).  If I run wmake I get the following error

Code: [Select]
wmake
    ln: ./lnInclude
Making dependency list for source file digitalFilterFvPatchVectorField.C
Making dependency list for source file syntheticEddyFvPatchVectorField.C
wmkdepend: could not open 'triSurface.H' for source file 'syntheticEddy/syntheticEddyFvPatchVectorField.C': No such file or directory
Making dependency list for source file eddyIO.C
Making dependency list for source file eddy.C
g++ -std=c++11 -m64 -DOPENFOAM=1912 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -Wno-attributes -Wno-unknown-pragmas -O3  -DNoRepository -ftemplate-depth-100 -I/opt/OpenFOAM/OpenFOAM-v1912/src/triSurface/lnInclude -I/opt/OpenFOAM/OpenFOAM-v1912/src/meshTools/lnInclude -I/opt/OpenFOAM/OpenFOAM-v1912/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/OpenFOAM/OpenFOAM-v1912/src/OpenFOAM/lnInclude -I/opt/OpenFOAM/OpenFOAM-v1912/src/OSspecific/POSIX/lnInclude   -fPIC -c eddy/eddy.C -o Make/linux64GccDPInt32Opt/eddy/eddy.o
In file included from /opt/OpenFOAM/OpenFOAM-v1912/src/OpenFOAM/lnInclude/Random.H:342:0,
                 from eddy/eddy.H:42,
                 from eddy/eddy.C:26:
/opt/OpenFOAM/OpenFOAM-v1912/src/OpenFOAM/lnInclude/RandomI.H: In member function 'Foam::scalar Foam::eddy::epsi(Foam::Random&) const':
/opt/OpenFOAM/OpenFOAM-v1912/src/OpenFOAM/lnInclude/RandomI.H:30:21: error: 'Foam::scalar Foam::Random::scalar01()' is private
 inline Foam::scalar Foam::Random::scalar01()
                     ^
In file included from eddy/eddy.H:233:0,
                 from eddy/eddy.C:26:
eddy/eddyI.H:32:28: error: within this context
     return rndGen.scalar01() > 0.5 ? 1 : -1;
                            ^
make: *** [Make/linux64GccDPInt32Opt/eddy/eddy.o] Error 1

fmk

  • Administrator
  • Newbie
  • *****
  • Posts: 34
    • View Profile
Re: Does not build
« Reply #1 on: July 02, 2020, 03:39:41 PM »
There are two open source versions of OpenFOAM. OpenFOAM v1912 is a public version rebased by openfoam.com, which OpenFOAM v6 and v7 (considered in the turbulent inflow tool) are public versions published by openfoam.org. The code for the turbulent inflow was developed for openfoam.org's latest releases and you are trying to build for use with an openfoam.com's release. The source code currently works for the linux code released by openfoam.org. We have updated the online documentation to make that clearer.

https://nheri-simcenter.github.io/TinF-Documentation/index.html

1) We are confirming with docker images if the issue you raise exists for v6 and v7 from openfoam.org exists for the MacOS docker images provided by openfoam.org.
2) We will work on providing source code so that TInF will work with openfoam.com's latest release.

We will provide an idea on when item 2 will be resolved once we estimate how much effort is involved.  An update on item 1 will be provided by next week.